package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.AttLkBase;
import org.apache.ibatis.annotations.Mapper;

/** 湖泊信息 Mapper */
@Mapper
public interface AttLkBaseMapper {
    /**
     * 查询湖泊信息列表
     * 
     * @param attLkBase 查询条件
     * @return 湖泊信息列表
     */
    public List<AttLkBase> selectAttLkBaseList(AttLkBase attLkBase);

    /**
     * 通过湖泊编码查询湖泊信息
     * 
     * @param lkCode 湖泊编码
     * @return 湖泊信息
     */
    public AttLkBase selectAttLkBaseById(String lkCode);

    /**
     * 通过湖泊编码删除湖泊信息
     * 
     * @param lkCode 湖泊编码
     * @return 影响行数
     */
    public int deleteAttLkBaseById(String lkCode);

    /**
     * 批量删除湖泊信息
     * 
     * @param lkCodes 湖泊编码数组
     * @return 影响行数
     */
    public int deleteAttLkBaseByIds(String[] lkCodes);

    /**
     * 修改湖泊信息
     * 
     * @param attLkBase 湖泊信息
     * @return 影响行数
     */
    public int updateAttLkBase(AttLkBase attLkBase);

    /**
     * 新增湖泊信息
     * 
     * @param attLkBase 湖泊信息
     * @return 影响行数
     */
    public int insertAttLkBase(AttLkBase attLkBase);
}
